liborigin2: Origin::Window Struct Reference

liborigin2 29/08/2011

Public Types | Public Member Functions | Public Attributes | List of all members
Origin::Window Struct Reference

`#include <OriginObj.h>`

Inheritance diagram for Origin::Window:

## Public Types
enum | State { Normal, Minimized, Maximized }
enum | Title { Name, Label, Both }

## Public Member Functions
| Window (const string &_name="", const string &_label="", bool _hidden=false)

## Public Attributes
time_t | creationDate
Rect | frameRect
bool | hidden
string | label
time_t | modificationDate
string | name
int | objectID
State | state
Title | title

## Member Enumeration Documentation

## ◆ State

enum Origin::Window::State

Enumerator
Normal |
Minimized |
Maximized |

## ◆ Title

enum Origin::Window::Title

Enumerator
Name |
Label |
Both |

## Constructor & Destructor Documentation

## ◆ Window()

Origin::Window::Window | ( | const string & | _name = `""`,
|  | const string & | _label = `""`,
|  | bool | _hidden = `false`
| ) |  |
| inline

## Member Data Documentation

## ◆ creationDate

time_t Origin::Window::creationDate

Referenced by Origin750Parser::readWindowProperties().

## ◆ frameRect

Rect Origin::Window::frameRect

Referenced by Origin750Parser::readWindowProperties().

## ◆ hidden

bool Origin::Window::hidden

Referenced by Origin750Parser::readWindowProperties().

## ◆ label

string Origin::Window::label

Referenced by Origin750Parser::readWindowProperties().

## ◆ modificationDate

time_t Origin::Window::modificationDate

Referenced by Origin750Parser::readWindowProperties().

## ◆ name

string Origin::Window::name

Referenced by Origin750Parser::readWindowProperties().

## ◆ objectID

int Origin::Window::objectID

Referenced by Origin750Parser::readProjectTree(), and Origin750Parser::readWindowProperties().

## ◆ state

State Origin::Window::state

Referenced by Origin750Parser::readWindowProperties().

## ◆ title

Title Origin::Window::title

Referenced by Origin750Parser::readWindowProperties().

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h